Chapter 1.  System Requirements

1.1. Installation Prerequisites

Red Hat Developer Toolset 9.1 contains packages for Red Hat Enterprise Linux 7 and supports the following architectures:
  • AMD64 and Intel 64
  • The 64-bit ARM architecture (AArch64)
  • IBM POWER, big endian
  • IBM POWER, little endian
  • IBM Z
Generation and manipulation of 32-bit binaries is also supported on the AMD64 and Intel 64 architectures.

Note

In Red Hat Enterprise Linux 8, GCC Toolset is available, which provides tools similar to Red Hat Developer Toolset. For details, see Using GCC Toolset.
Before installing Red Hat Developer Toolset 9.1, it is recommended to apply all available Red Hat Enterprise Linux errata updates. This will enable all Red Hat Developer Toolset features and apply fixes that can otherwise impact the tools or built code.
Red Hat Developer Toolset 9.1 requires systems to be subscribed to the Optional repository in order to access all the necessary dependent packages required by the Red Hat Developer Toolset toolchain. Packages from the Optional repository are listed in the Red Hat Software Collections 3.5 Release Notes.
If you use Red Hat Subscription Manager, you can add these repositories by navigating to ApplicationsSystem ToolsRed Hat Subscription Manager.
Then enable the Optional repository for your system. For detailed information, see https://access.redhat.com/solutions/392003.
Users of Red Hat Satellite can enable the Optional repository by following the instructions at https://access.redhat.com/solutions/70019.
Since Red Hat Developer Toolset 4.1, the content is available also in the ISO format at https://access.redhat.com/downloads, specifically for Server and Workstation.

Note

Packages that require the Optional repository cannot be installed from the ISO image. A list of packages that require enabling of the Optional repository is provided in the Red Hat Software Collections Release Notes.
Beta content is unavailable in the ISO format.

1.2.  Installation and Upgrading

Use of Red Hat Developer Toolset 9.1 requires the removal of any earlier pre-release versions. If you have installed any previous version of Red Hat Developer Toolset, uninstall it from your system as described in the Uninstalling Red Hat Developer Toolset section of the Red Hat Developer Toolset User Guide.
Note that installing Red Hat Developer Toolset 9.x in parallel with Red Hat Developer Toolset 8.x is supported.
For detailed information on installation of Red Hat Developer Toolset 9.1 see the Installing Red Hat Developer Toolset chapter of the Red Hat Developer Toolset User Guide.
The in-place upgrade from Red Hat Enterprise Linux 6 to Red Hat Enterprise Linux 7 is not supported by Red Hat Developer Toolset. As a consequence, the installed components might not work correctly after the upgrade. If you want to upgrade from Red Hat Enterprise Linux 6 to Red Hat Enterprise Linux 7, it is strongly recommended to remove all Red Hat Developer Toolset packages, perform the in-place upgrade, update the Red Hat Developer Toolset repository, and install the Red Hat Developer Toolset packages again. It is advisable to back up all data before upgrading.